"""add users.device_serial

Revision ID: 011
Revises: 010
Create Date: 2026-05-22

"""

from typing import Sequence, Union

import sqlalchemy as sa
from alembic import op

revision: str = "011"
down_revision: Union[str, None] = "010"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.add_column(
        "users",
        sa.Column("device_serial", sa.String(255), nullable=False, server_default=""),
    )


def downgrade() -> None:
    op.drop_column("users", "device_serial")
